ibus (1.5.32-2build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 05 Sep 2025 11:47:30 +0000

ibus (1.5.32-2) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Jul 2025 10:15:42 -0400

ibus (1.5.32-2~exp1) experimental; urgency=medium

  * Team upload.
  * Run xvfb-run with -s "-noreset" to avoid random FTBFS in tests.
    (Closes: #1108040)

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Jul 2025 00:28:55 -0400

ibus (1.5.32-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 10 Apr 2025 20:22:56 -0400

ibus (1.5.32~rc2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Add missing build-dependencies:
    + gir1.2-gobject-2.0-dev <!nogir>
    + gir1.2-gio-2.0-dev <!nogir>
  * debian/control: Add missing ${gir:Depends} and ${gir:Provides}
    for libibus-1.0-dev binary package.

 -- Boyuan Yang <byang@debian.org>  Thu, 20 Mar 2025 18:46:30 -0400

ibus (1.5.32~rc1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.5.32~rc1. (Closes: #1098736)

 -- Boyuan Yang <byang@debian.org>  Fri, 28 Feb 2025 00:37:05 -0500

ibus (1.5.32~beta2-2) unstable; urgency=medium

  * Team upload
  * Avoid direct dependency on GTK. In particular, this allows ibus
    to provide GTK2 support by default without requiring GTK2 to be
    installed for people who don't need it.

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 19 Feb 2025 16:44:54 -0500

ibus (1.5.32~beta2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.5.32~beta2.
  * debian/patches/backport/: Dropped, merged now.
  * debian/patches/debian-multiarch.patch: Unfuzz patch.
  * debian/libibus-1.0-5.symbols: Add new symbol info.

 -- Boyuan Yang <byang@debian.org>  Sun, 16 Feb 2025 15:47:09 -0500

ibus (1.5.32~beta1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.5.32~beta1.
  * debian/control: Add build-dependency wayland-protocols [linux-any].
  * Bump Standards-Version to 4.7.0.
  * debian/: Use dh-sequence-python3 instead of dh-python.
  * debian/patches/: Backport patches till 2025-01-30.
  * README.Debian: Refresh info about libpinyin and GTK4 support.
  * debian/libibus-1.0-5.symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Fri, 31 Jan 2025 16:43:15 -0500

ibus (1.5.31-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Nov 2024 14:06:44 -0500

ibus (1.5.31~rc1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #1070738, #1085342)
  * debian/control: Update build-dep: pkg-config => pkgconf.
  * debian/copyright: Fix copyright information.
  * debian/ibus-tests.lintian-overrides: Drop unused overrides.
  * debian/ibus-tests.install: Also install the new binary
    /usr/libexec/ibus-desktop-testing-module.

 -- Boyuan Yang <byang@debian.org>  Sat, 02 Nov 2024 15:56:12 -0400

ibus (1.5.30-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #1074507)
  * debian/libibus-1.0-5.symbols: Add new symbol.

 -- Boyuan Yang <byang@debian.org>  Tue, 02 Jul 2024 11:25:46 -0400

ibus (1.5.29-2) unstable; urgency=medium

  * Team upload.

  [ Jeremy Bícha ]
  * Bump Build-Depends for unicode-cldr-core & unicode-data.
    This forces ibus to support Unicode 15.1.

  [ Boyuan Yang ]
  * debian/control: Remove retired package uploader.
  * debian/control: Add a basic package description to the source package.
    Also use ${source:Synopsis} and ${source:Extended-Description} to
    avoid duplication of the same texts in the file.
  * debian/control: Place libglib2.0 version requirement to
    build-dependencies. (Closes: #1067942)

 -- Boyuan Yang <byang@debian.org>  Sun, 31 Mar 2024 08:04:22 -0400

ibus (1.5.29-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (identical with 1.5.29-rc2).
  * debian/control:
    + Replace build-dependency systemd [linux-any] with
      systemd-dev [linux-any].

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Jan 2024 15:13:23 -0500

ibus (1.5.29~rc2-1) unstable; urgency=medium

  * Upstream rc release

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Mon, 13 Nov 2023 14:57:52 +0100

ibus (1.5.29~rc1-1) unstable; urgency=medium

  * Upstream rc release
    - Fixes issue with candidate window position in gtk4 apps
      (closes: #1040615).

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Tue, 22 Aug 2023 16:13:57 +0200

ibus (1.5.29~beta2-1) unstable; urgency=medium

  * Make d/watch search also for beta releases
  * Upstream beta release
  * Drop patch, applied upstream
  * Refresh d/p/debian-multiarch.patch
  * Update d/libibus-1.0-5.symbols
  * Lintian overrides about no-manual-page

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Tue, 15 Aug 2023 14:00:08 +0200

ibus (1.5.29~beta1-3) unstable; urgency=high

  * d/p/Fix-typo-in-src-ibusservice.h.patch
    - Modified patch added in 1.5.29~beta1-2 to fix build failure.

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Wed, 02 Aug 2023 17:43:06 +0200

ibus (1.5.29~beta1-2) unstable; urgency=high

  * Fix typo in src/ibusservice.h (LP: #2029322)
  * d/control: Add myself to Uploaders list

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Wed, 02 Aug 2023 08:24:16 +0200

ibus (1.5.29~beta1-1) unstable; urgency=medium

  * Upstream beta release
  * Dropped patches, applied upstream
  * Refreshed patches:
    - 0003-dconf-Use-dbus-run-session-to-set-up-dconf-overrides.patch
    - dconf-Create-a-temporary-XDG_RUNTIME_DIR.patch
  * Added libdbusmenu to Build-Depends
  * Update d/libibus-1.0-5.symbols again
  * d/control: Drop obsolete Breaks/Replaces

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Tue, 01 Aug 2023 10:45:25 +0200

ibus (1.5.28-6) unstable; urgency=medium

  * Team upload
  * Fix jumbling issue when typing fast (LP: #1996652)
    - d/p/bus-Apply-code-style-to-inputcontext.c.patch
    - d/p/src-Fix-sync-ibus_input_context_process_key_event.patch
    - d/p/client-x11-Fix-sync-ibus_input_context_process_key_event.patch
  * Update d/libibus-1.0-5.symbols accordingly

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Wed, 26 Jul 2023 22:39:15 +0200

ibus (1.5.28-5) unstable; urgency=medium

  * Team upload
  * Re-enable the xkb-latin-layouts test
  * Upload to unstable

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Mon, 19 Jun 2023 18:31:29 +0200

ibus (1.5.28-4) experimental; urgency=medium

  * Team upload
  * Fix FTBFS twice in a row (closes: #1034090)
    - d/p/Make-ibusenumtypes.h-ready-after-clean.patch

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Tue, 11 Apr 2023 19:43:57 +0200

ibus (1.5.28-3) experimental; urgency=medium

  * Team upload
  * Fix broken code point feature (LP: #2012788)
    - d/p/src-Call-IBUS_TYPE_EMOJI_DATA-in-ibus_init.patch

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Wed, 29 Mar 2023 16:38:51 +0200

ibus (1.5.28-2) experimental; urgency=medium

  * Team upload
  * Fix missing key events (LP: #2009700)
    - d/p/client-x11-Fix-Key-typing-order.patch
    - d/p/util-IMdkit-Disable-while-loop-before-call-ForwardEvent.patch

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Thu, 16 Mar 2023 13:31:39 +0100

ibus (1.5.28-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Drop patches applied upstream
  * Refresh debian-multiarch.patch
  * d/rules: Skip the xkb-latin-layouts test
    - This is a temporary workaround. simple.xml has been adapted to
      xkeyboard-config 2.38, while Debian is still on 2.35.
  * Updated d/libibus-1.0-5.symbols
  * d/copyright: Dropped reference to non-existing file

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Wed, 22 Feb 2023 21:49:59 +0100

ibus (1.5.27-5) unstable; urgency=medium

  * Team upload

  [ Janitor ]
  * Remove constraints unnecessary since buster

  [ Gunnar Hjalmarsson ]
  * Bump Standards-Version to 4.6.2

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Mon, 13 Feb 2023 12:22:01 +0100

ibus (1.5.27-4) unstable; urgency=medium

  * Team upload
  * Work around uscan issue with GitHub releases page
  * Override Lintian "source-is-missing" error

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sun, 06 Nov 2022 22:12:55 +0100

ibus (1.5.27-3) unstable; urgency=medium

  * Team upload

  [ Changwoo Ryu ]
  * Drop the FHS 2.x /usr/lib/ibus compatibility; all the ibus engine
    packages have been migrated to use /usr/libexec. (Closes: #955219)

  [ Eberhard Beilharz ]
  * Fix surrounding text issue (closes: #1019453):
    - d/p/client-gtk2_Stop-many-warnings-of-surrounding-text.patch
    - d/p/client-gtk2_Update-capabilities-if-retrieve-surrounding-.patch
    - d/p/client-gtk2_Update-surrounding-text-properties-by-focus-.patch

  [ Samuel Thibault ]
  * Ignore systemd when building on non-Linux (closes: #1023340)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Wed, 02 Nov 2022 23:01:09 +0100

ibus (1.5.27-2) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * Only build and run ibus-tests on architectures with working mozjs102
    (closes: #1018871)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Thu, 01 Sep 2022 22:31:05 +0200

ibus (1.5.27-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Dropped patches, applied upstream
  * Refresh d/p/debian-multiarch.patch
  * Bump Standards-Version to 4.6.1
  * Build-dep on libnotify-dev

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Mon, 29 Aug 2022 00:01:19 +0200

ibus (1.5.26-4) unstable; urgency=medium

  * Team upload
  * d/p/src-services_Fix-bashisms-in-org.freedesktop.IBus.session.patch:
    - Cherry picked upstream PR from Mitsuya Shibata (closes: #1009256,
      LP: #1968459).

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sun, 10 Apr 2022 14:16:37 +0200

ibus (1.5.26-3) unstable; urgency=medium

  * Team upload
  * d/p/src-Fix-refcounting-issues.patch:
    - Cherry picked from upstream (LP: #1965673)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Mon, 04 Apr 2022 13:01:37 +0200

ibus (1.5.26-2) unstable; urgency=medium

  * Team upload
  * Add systemd to Build-Depends (LP: #1964682)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Mon, 14 Mar 2022 18:55:49 +0100

ibus (1.5.26-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Tweak of lintian override files
  * Dropped patches, applied upstream
  * Install new files
  * Bump copyright year

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Mon, 14 Mar 2022 11:27:48 +0100

ibus (1.5.25-3) unstable; urgency=medium

  * Team upload
  * d/p/ui_gtk2-Deprecate-gettext.bind_textdomain_codeset.patch:
    - Handle deprecated function and prevent with that an issue when
      the default python version is bumped to 3.10.

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sat, 13 Nov 2021 22:10:11 +0100

ibus (1.5.25-2) unstable; urgency=medium

  * Team upload
  * d/p/ibusimcontext_Fix-wrong-cursor-location-in-gtk3-apps.patch:
    - Fix issue with wrong candidate window position.

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sun, 05 Sep 2021 01:55:19 +0200

ibus (1.5.25-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Refresh socket-name-compatibility.patch
  * Update symbols file
  * Release to unstable

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sat, 04 Sep 2021 23:26:33 +0200

ibus (1.5.24-2~exp1) experimental; urgency=medium

  * Team upload

  [ Changwoo Ryu ]
  * debian/control:
    - Update the ibus-wayland description

  [ Gunnar Hjalmarsson ]
  * debian/rules, debian/control, debian/ibus-gtk4.install:
    - Enable GTK 4 and build the ibus-gtk4 binary

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Fri, 30 Jul 2021 19:21:27 +0200

ibus (1.5.24-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - This includes GTK 4 support, but we build without enabling GTK 4
      for now.
  * debian/patches/Warn-deprecated-IBus-XKB-engines-w-dialog.patch:
    - Dropped, applied upstream
  * Added a debian/upstream/metadata file
  * debian/copyright: Upstream-Contact added, copyright year bumped

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 02 Mar 2021 21:47:06 +0100

ibus (1.5.23-2) unstable; urgency=medium

  * Team upload
  * debian/patches/Warn-deprecated-IBus-XKB-engines-w-dialog.patch:
    - Show a warning dialog when a deprecated engine name from
      ibus < 1.5.23 is configured (LP: #1901789).
  * Bump Standards-Version to 4.5.1

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 14 Dec 2020 13:09:45 +0100

ibus (1.5.23-1) unstable; urgency=medium

  [ Changwoo Ryu ]
  * debian/control: Update ibus-wayland description
  * debian/ibus.bug-script: Update bug script
    - Fix for when $XDG_CURRENT_DESKTOP has colon separated values.
    - Use absolute paths for commands.
    - Remove QT4 environment variable; not supported anymore
  * debian/rules: Correct test for debhelper 13
    - Do not check DEB_BUILD_OPTIONS nocheck anymore
    - Do not use debhelper 13 provided $HOME and XDG dirs. The provided
      $XDG_CACHE_HOME is too long so the ibus-daemon socket name length
      easily exceeds the limit (107 bytes in Linux).
  * debian/control: Replace Build-profiles with Build-Profiles
  * debian/copyright: Fix duplicated files
  * debian/control: Drop Build-Depends on qtbase5-dev; the upstream
    1.5.23 doesn't check it anymore.

  [ Gunnar Hjalmarsson ]
  * debian/control: Make ibus-data suggest ibus instead of recommending
    it (closes: #964558)
  * New upstream release
  * d/p/0003-dconf-Use-dbus-run-session-to-set-up-dconf-overrides.patch:
    - Refreshed
  * Dropped patches, applied upstream:
    - d/p/bashism-installed-tests.patch
    - d/p/remove-glib-check-version.patch
    - d/p/use-wayland-display-for-socket-name.patch

 -- Changwoo Ryu <cwryu@debian.org>  Sat, 31 Oct 2020 18:10:02 +0900

ibus (1.5.22-5) unstable; urgency=medium

  [ Changwoo Ryu ]
  * debian/control:
    - Enable package ibus-tests on s390x again. Currently gnome-shell
      3.36.x is being built on s390x.
    - Bump debhelper compat version to 13
  * debian/rules:
    - Remove the emoji-test.txt version check; not needed anymore
    - Remove -Wl,--as-needed linker flag; the bullseye tool chain defaults
      to it
  * debian/patches/socket-name-compatibility.patch: Updated. Writing
    additional file for "DISPLAY" was not enough. Find non-setup X11
    display for X11 clients and write an additional file.

  [ Gunnar Hjalmarsson ]
  * Ubuntu only additions which make it possible for Ubuntu to sync the
    source from Debian (closes: #959185)

 -- Changwoo Ryu <cwryu@debian.org>  Fri, 15 May 2020 07:53:17 +0900

ibus (1.5.22-4) unstable; urgency=medium

  * debian/patches/socket-name-compatibility.patch: Compatibility for
    use-wayland-display-for-socket-name.patch. This fixes Qt clients
    breakage in Wayland.

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 12 Apr 2020 12:12:18 +0900

ibus (1.5.22-3) unstable; urgency=medium

  * debian/patches/use-wayland-display-for-socket-name.patch: Backport
    from the upstream. It fixes the problem on using X11 clients in
    gnome-shell 3.36 wayland sessions. (Closes: #955769)

 -- Changwoo Ryu <cwryu@debian.org>  Tue, 07 Apr 2020 11:59:49 +0900

ibus (1.5.22-2) unstable; urgency=medium

  [ Changwoo Ryu ]
  * Revert the emoji-test.txt embedding and use emoji-test.txt in
    unicode-data (>= 13.0.0-2), which ships this file (#953795).
  * debian/patches/libexec-fhs2-compat.patch: Provide compatibility with
    FHS 2.x built ibus engine packages, after moving to /usr/libexec
  * debian/rules: Set GVFS_DISABLE_FUSE=1 while running tests, to prevent
    gvfsd from mounting FUSE filesystems.
  * debian/patches/remove-glib-check-version.patch: Do not check glib
    runtime version on gtk immodule init. (Closes: #954207)
  * debian/ibus.bug-script: Updated
    - Use /bin/sh instead of /bin/bash
    - Remove locale/shell envvars which are redundant (See #946326)
    - Add more settings from GSettings, localectl, setxkbmap and ~/.Xmodmap
      (Closes: #942470)

  [ Laurent Bigonville ]
  * Move the daemons to /usr/libexec now that's allowed in the policy

 -- Changwoo Ryu <cwryu@debian.org>  Sat, 21 Mar 2020 21:23:02 +0900

ibus (1.5.22-1) unstable; urgency=high

  [ Changwoo Ryu ]
  * debian/lintian-overrides: Ignore lintian info
    hardening-no-fortify-functions on /usr/bin/ibus-daemon. It uses
    readlink(2) which is not protectable.
  * debian/copyright: Correct copyright years and add new files
  * Fix FTBFS with unicode-data 13.0 (Closes: #953775)
    - debian/emoji/emoji-test.txt: Added in the source, downloaded from
      https://www.unicode.org/Public/emoji/13.0/.
    - debian/README.source: Add information on it
    - debian/copyright: Add Unicode license
    - debian/rules: Add --with-unicode-emoji-dir flag
  * debian/control: Update Build-Depends
    - The upstream requires GTK 3.12.0

  [ Laurent Bigonville ]
  * debian/control: Add libglib2.0-doc to the Build-Depends-Indep. This
    will fix the link between the ibus documentation and the GLib one

 -- Changwoo Ryu <cwryu@debian.org>  Mon, 16 Mar 2020 19:06:40 +0900

ibus (1.5.22-1~exp1) experimental; urgency=medium

  [ Changwoo Ryu ]
  * New upstream version
    - Remove upstream-applied patches:
      bashism.patch, bus-Implement-GDBusAuthObserver-callback.patch,
      unix-socket-path.patch, test-fix-on-slow-machines.patch
    - Remove upstream-applied .desktop entry changing rule
      (https://github.com/ibus/ibus/pull/2162)
  * Bump Standards-Version to 4.5.0.
  * debian/patches/bashism-installed-tests.patch: Fix bashism in
    the ibus-desktop-testing-runner installed-tests script

 -- Changwoo Ryu <cwryu@debian.org>  Wed, 26 Feb 2020 20:53:23 +0900

ibus (1.5.21-6) UNRELEASED; urgency=low

  [ Changwoo Ryu ]
  * Fix test failure on some slow machines
    - debian/patches/test-fix-on-slow-machines.patch: Increase the delay
      after running the background ibus-daemon while running tests.

 -- Changwoo Ryu <cwryu@debian.org>  Thu, 02 Jan 2020 20:16:10 +0900

ibus (1.5.21-5) unstable; urgency=medium

  [ Changwoo Ryu ]
  * debian/patches/*: Add/Update patch tags on upstream status
  * debian/control: Drop alternative Recommends and Suggests on
    libqt5gui5; Qt apps always have this dependency and not-installing
    ibus-gtk can cause issues with Chromium or Firefox to KDE users. See
    #926625.
  * debian/control: Move librsvg2-common dependency from ibus to ibus-data,
    which contains SVG icons.
  * debian/patches/unix-socket-path.patch: Apply upstream git commits
    about the IBus Unix socket. It fixes non-linux FTBFS.
  * debian/rules: Revert non-linux FTBFS regression by 1.5.21-4~exp1.
    Add a comment on the reason why cleaning Vala-generated files.

 -- Changwoo Ryu <cwryu@debian.org>  Wed, 01 Jan 2020 18:52:17 +0900

ibus (1.5.21-4) unstable; urgency=medium

  [ Changwoo Ryu ]
  * debian/rules: for fixing and debugging FTBFS on non-systemd
    - Use xvfb to run dh_auto_test
    - Do not run ibus daemon in background on test
  * debian/rules:
    - Do not build ibus-tests on (compatibility-only) Ubuntu i386, as some
      of ibus-tests depends are not in the compatibility layer. Patch from
      Steve Langasek. (Closes: #947262)

 -- Changwoo Ryu <cwryu@debian.org>  Thu, 26 Dec 2019 08:46:04 +0900

ibus (1.5.21-4~exp1) unstable; urgency=medium

  * Upload to experimental due to new binpkg python3-ibus-1.0

  [ Changwoo Ryu ]
  * ibus-tests: Move the test-only ibus-desktop-testing-runner executable
    from /usr/bin to /usr/lib/ibus/installed-tests/.
  * debian/control: Update Build-Depends to match the upstream source
    - Remove unused libdbus-glib-1-dev, libjson-glib-dev and python3-dbus.
    - Update versions of gobject-introspection, libdconf-dev,
      libglib2.0-dev, libwayland-dev, qtbase5-dev, python-gi-dev and valac.
    - Add Depends libglib2.0-0 (>= 2.62.2-2) for #941018
  * debian/rules: Clean up override_dh_* rules
  * debian/ibus.bug-script
    - Fix a typo
    - Remove "locale" command; bug-script always runs in "C" locale.
  * debian/{control,rules}: Support nodoc and noinsttest build profiles
  * gir1.2-ibus-1.0:
    - Do not install python2 file in gir1.2-ibus-1.0 (Closes: #944387)
    - Move Python 3 overrides to new python3-ibus-1.0
  * debian/{ibus,ibus-data}.install: Move manpages to the same package
    with the executables.

 -- Changwoo Ryu <cwryu@debian.org>  Tue, 17 Dec 2019 14:16:50 +0900

ibus (1.5.21-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Disable package ibus-tests on s390x.
    This really fixes Debian bug 944614.

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Nov 2019 14:10:45 -0500

ibus (1.5.21-2) unstable; urgency=high

  * Team upload.

  [ Boyuan Yang ]
  * debian/README.Debian: Drop words about Qt4.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
    + Downgrade dependency of ibus-tests -> gnome-shell to
      recommendation on s390x since gnome-shell currently FTBFS on
      s390x architecture.
      This makes ibus able to migrate to testing. (Closes: #944614)

  [ Changwoo Ryu ]
  * d/rules: Improve tests
    - Check DEB_BUILD_OPTIONS nocheck on override_dh_auto_test
    - Use dbus-run-session to run tests
    - Create/remove XDG data directories under debian/ so it run tests without
      touching dot folders in $HOME.
    - Try to unmount gvfs-fuse mount in $XDG_RUNTIME_DIR if any
  * d/{README.update-po,update-po}: Removed as it's currently not valid
  * d/ibus.bug-presubj: Fix GNOME input source setting information for
    recent GNOME versions.
  * d/{control,README.Debian}: Replace old name GTK+ with GTK
  * d/control: Add "Rules-Requires-Root: no"

  [ Osamu Aoki ]
  * debian/ibus.bug-script: Fix typo in reportbug script.
    (Closes: #942465)

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Nov 2019 15:12:39 -0500

ibus (1.5.21-1) unstable; urgency=medium

  [ Changwoo Ryu ]
  * Upload to unstable
  * Apply upstream commit to fix CVE-2019-14822 (Closes: #940267)
  * d/rules: Add XDG_RUNTIME_DIR settings on build
    - Based on d/rules of the glib2.0 package
    - possibly to fix the test failures in non-linux arch builds
  * d/control: Remove unnecessary Build-Depends: gnome-common,
    libnotify-dev

 -- Changwoo Ryu <cwryu@debian.org>  Wed, 18 Sep 2019 23:52:06 +0900

ibus (1.5.21-1~exp2) experimental; urgency=medium

  [ Changwoo Ryu ]
  * Split out data files into ibus-data
  * d/rules: Enable tests with exceptions. Some tests (ibus-bus,
    ibus-compose, ibus-keypress, test-stress) are disabled as they require
    a GUI session. They can be run in autopkgtest later. (Closes: #834331)
  * d/copyright: Fix lintian warnings
  * d/libibus-1.0-5.symbols: Add Build-Depends-Package
  * Add installed tests / autopkgtest
    - d/rules: Add --enable-install-tests configure flag
    - Install the test files to ibus-tests binary package
    - d/tests/{control,installed-tests}: Add autopkgtest files

 -- Changwoo Ryu <cwryu@debian.org>  Tue, 03 Sep 2019 01:18:39 +0900

ibus (1.5.21-1~exp1) experimental; urgency=medium

  [ Osamu Aoki ]
  * Allow pushd (bashism) in ibus/src/tests/runtest.

  [ Changwoo Ryu ]
  * d/rules: Use --with-python=... flag with absolute path.
    (Closes: #931800)

  [ Boyuan Yang ]
  * New upstream version 1.5.21. (Closes: #933767, #915547)
  * d/control: Bump Standards-Version to 4.4.0.
  * d/control: Drop recommendation to ibus-qt4. (Closes: #926624)
  * d/control: Make recommendation to libqt5gui5 as alternative.
    (Closes: #926625)
  * debian/gir1.2-ibus-1.0.lintian-overrides: Add override for
    python-package-missing-depends-on-python for now in the python2
    removal phase.
  * d/patches: Refresh patches:
    - remove-popup: Removed, no longer necessary.
    - wayland.patch: Removed, merged upstream.

  [ Changwoo Ryu ]
  * d/rules: Update the setup desktop filename for 1.5.21
  * d/control: Build-Depends on gettext >= 0.19.8 instead of intltool
  * d/libibus-1.0-dev.install: Add gettext ITS rule for ibus
    component XML
  * d/libibus-1.0-5.symbols: Update library symbols
  * d/copyright: Update
    - d/*.lintian-overrides: Remove overrides for fixed license typo
  * d/salsa-ci: Add Salsa CI config
  * d/control: Add myself to Uploaders

 -- Changwoo Ryu <cwryu@debian.org>  Wed, 28 Aug 2019 19:43:46 +0900

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libibus-1.0-5`.
